Bug 848554 - (CVE-2012-4294, CVE-2012-4295) CVE-2012-4294 CVE-2012-4295 wireshark: buffer overflow in ERF dissector (wnpa-sec-2012-16)
CVE-2012-4294 CVE-2012-4295 wireshark: buffer overflow in ERF dissector (wnpa...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120815,repor...
: Security
Depends On: 848589
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 17:05 EDT by Vincent Danen
Modified: 2014-09-03 05:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 00:13:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-08-15 17:05:25 EDT
It may be possible to make Wireshark crash, hang, or execute code by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Affects 1.8.0 to 1.8.1 and is fixed in upstream 1.8.2 version.

http://www.wireshark.org/security/wnpa-sec-2012-16.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7563
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44306
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44377
http://anonsvn.wireshark.org/viewvc?view=revision&revision=44419


Statement:

This issue did not affect the versions of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 1 Vincent Danen 2012-08-15 18:02:43 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-rawhide [bug 848589]
Comment 2 Fedora Update System 2012-09-17 18:53:16 EDT
wireshark-1.8.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.